Page MenuHomePhabricator

Add throttle exception for Netherlands Hackathon 2018 - Women Tech Storm
Closed, ResolvedPublic

Description

Please add a throttle exception for https://www.mediawiki.org/wiki/Netherlands_Hackathon_2018_-_Women_Tech_Storm to https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/throttle.php
*from: 2018-05-11 05:00 UTC
*to: 2018-05-16 10:00 UTC
*range: 194.171.184.0/24
*dbname: 'enwiki', 'nlwiki', 'commonswiki', 'wikidatawiki'
*value: 250

A bit late, I know.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2018, 8:29 AM
Urbanecm claimed this task.May 10 2018, 8:30 AM
Urbanecm triaged this task as High priority.
Urbanecm added a subscriber: Urbanecm.

More than a bit, but ok, let's try to introduce the rule?

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMay 10 2018, 8:30 AM
Restricted Application added a subscriber: Dereckson. · View Herald Transcript

Change 432354 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add throttle rule for Netherlands Hackathon 2018 - Women Tech Storm, clean obsolete rules

https://gerrit.wikimedia.org/r/432354

Change 432354 merged by jenkins-bot:
[operations/mediawiki-config@master] Add throttle rule for Netherlands Hackathon 2018 - Women Tech Storm, clean obsolete rules

https://gerrit.wikimedia.org/r/432354

Reedy closed this task as Resolved.May 10 2018, 12:05 PM

Note: Because we were a bit late with deploying this change, it didn't actually work and we hit the limit. @Reedy what was the limit again and where is this documented? I would like to update https://meta.wikimedia.org/wiki/Mass_account_creation#Requesting_temporary_lift_of_IP_cap to prevent other people from running into the same problem.

Reedy added a comment.May 15 2018, 3:35 PM

Note: Because we were a bit late with deploying this change, it didn't actually work and we hit the limit. @Reedy what was the limit again and where is this documented? I would like to update https://meta.wikimedia.org/wiki/Mass_account_creation#Requesting_temporary_lift_of_IP_cap to prevent other people from running into the same problem.

We think we were, but was hard to tell for sure (because we couldn't easily look up the key), and therefore difficult to fix due to the docs on Wikitech not matching the code in MediaWiki. I filed T194506: 'Increasing account creation threshold' is out of date for this

Vvjjkkii renamed this task from Add throttle exception for Netherlands Hackathon 2018 - Women Tech Storm to t8caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from t8caaaaaaa to Add throttle exception for Netherlands Hackathon 2018 - Women Tech Storm.
CommunityTechBot added subscribers: gerritbot, Aklapper.